Line 7: Line 7:
 
* [http://www.hyperrealm.com/libconfig/ libconfig] (pour le fichier de configuration)
 
* [http://www.hyperrealm.com/libconfig/ libconfig] (pour le fichier de configuration)
 
* [http://opencv.org/ OpenCV] et par conséquent un compilateur C++ pour les opérations sur les images.
 
* [http://opencv.org/ OpenCV] et par conséquent un compilateur C++ pour les opérations sur les images.
 +
* [https://www.exiv2.org/ Exiv2] pour les métadonnées des images.

Latest revision as of 14:12, 23 May 2020

Information about message (contribute)

This message has no documentation. If you know where or how this message is used, you can help other translators by adding documentation to this message.

Message definition (Siril:install)
==Dependencies==
Siril depends on a number of libraries, most of which should be available in your operating system if it is recent enough. The names of the packages specific to operating systems are listed in each section below. Mandatory dependencies are:
* [http://www.gtk.org/ gtk+3] (Graphical user interface library), at least version 3.16
* [http://heasarc.nasa.gov/fitsio/fitsio.html cfitsio] (FITS images support)
* [http://www.fftw.org/ fftw] (Discrete Fourier Transform library)
* [http://www.gnu.org/software/gsl/ gsl] (The GNU Scientific Library), version 1 or 2 starting with release 0.9.1 or SVN revision 1040
* [https://hyperrealm.github.io/libconfig/ libconfig] (Structured configuration files support)
* [http://opencv.org/ OpenCV] and a C++ compiler for some image operations
* [https://www.exiv2.org/ Exiv2] to manage image metadata.
Translation==Dépendances==
Siril dépend d'un certain nombre de librairies dont la plupart devrait être disponible dans les dépôts de votre OS s'il est assez récent. Les noms des paquets spécifiques à chaque OS sont listés dans les paragraphes suivants. Les dépendances obligatoires sont :
* [http://www.gtk.org/ gtk+-3] (bibliothèque de l'interface graphique), au moins en version 3.16
* [http://heasarc.nasa.gov/fitsio/fitsio.html cfitsio] (support des images FITS)
* [http://www.fftw.org/ fftw] (pour le calcul des transformés des Fourier)
* [http://www.gnu.org/software/gsl/ gsl] (la bibliothèque scientifique de GNU)
* [http://www.hyperrealm.com/libconfig/ libconfig] (pour le fichier de configuration)
* [http://opencv.org/ OpenCV] et par conséquent un compilateur C++ pour les opérations sur les images.
* [https://www.exiv2.org/ Exiv2] pour les métadonnées des images.

Dépendances

Siril dépend d'un certain nombre de librairies dont la plupart devrait être disponible dans les dépôts de votre OS s'il est assez récent. Les noms des paquets spécifiques à chaque OS sont listés dans les paragraphes suivants. Les dépendances obligatoires sont :

  • gtk+-3 (bibliothèque de l'interface graphique), au moins en version 3.16
  • cfitsio (support des images FITS)
  • fftw (pour le calcul des transformés des Fourier)
  • gsl (la bibliothèque scientifique de GNU)
  • libconfig (pour le fichier de configuration)
  • OpenCV et par conséquent un compilateur C++ pour les opérations sur les images.
  • Exiv2 pour les métadonnées des images.